# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: numpy-base
  version: 1.20.1
source:
  patches:
    - patches/0001-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
    - patches/0002-intel_mkl-version.patch
    - patches/0003-intel_init_mkl.patch
  sha256: 9bf51d69ebb4ca9239e55bedc2185fe2c0ec222da0adee7ece4125414676846d
  url: https://github.com/numpy/numpy/releases/download/v1.20.1/numpy-1.20.1.tar.gz
build:
  entry_points: null
  number: 0
  string: py39h7d8b39e_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - binutils_impl_linux-64 2.33.1 he6710b0_7
    - binutils_linux-64 2.33.1 h9595d00_15
    - gcc_impl_linux-64 7.3.0 habb00fd_1
    - gcc_linux-64 7.3.0 h553295d_15
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
  host:
    - _libgcc_mutex 0.1 main
    - blas 1.0 mkl
    - ca-certificates 2021.4.13 h06a4308_1
    - certifi 2020.12.5 py39h06a4308_0
    - cython 0.29.22 py39h2531618_0
    - intel-openmp 2021.2.0 h06a4308_610
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - mkl 2021.2.0 h06a4308_296
    - mkl-devel 2021.2.0 h07c9149_296
    - mkl-include 2021.2.0 h06a4308_296
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - pip 21.0.1 py39h06a4308_0
    - python 3.9.2 hdb3f193_0
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - sqlite 3.35.4 hdfb4753_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - blas 1.0 mkl
    - libgcc-ng >=7.3.0
    - mkl >=2021.2.0,<2022.0a0
    - mkl-service >=2.3.0,<3.0a0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - test -e $SP_DIR/numpy/distutils/site.cfg
about:
  description: 'NumPy is the fundamental package needed for scientific computing with
    Python.

    '
  dev_source_url: https://github.com/numpy/numpy/tree/master/doc
  dev_url: https://github.com/numpy/numpy
  doc_url: https://docs.scipy.org/doc/numpy/reference/
  home: http://numpy.scipy.org/
  license: BSD 3-Clause
  license_file: LICENSE.txt
  summary: Array processing for numbers, strings, records, and objects.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - chenghlee
    - jakirkham
    - msarahan
    - ocefpaf
    - pelson
    - rgommers
